Package org.zkoss.zk.ui.event

## Class FulfillEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.FulfillEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class FulfillEvent
      extends Event

  Represents the fulfill condition has been applied. The fulfill condition is added by use of `ComponentInfo.setFulfill(java.lang.String)`.
  Since:
    3.0.8
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FulfillEvent​(java.lang.String name, Component target, Event origin)` | Constructs a fulfill event.
    `FulfillEvent​(java.lang.String name, Component target, Event origin, java.lang.Object data)` | Constructs a fulfill event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Event` | `getOrigin()` | Returns the original event.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FulfillEvent

          public FulfillEvent​(java.lang.String name,
                              Component target,
                              Event origin)

      Constructs a fulfill event.
      Parameters:
        `origin` - the original event that causes this forward event.

    - #### FulfillEvent

          public FulfillEvent​(java.lang.String name,
                              Component target,
                              Event origin,
                              java.lang.Object data)

      Constructs a fulfill event.
      Parameters:
        `origin` - the original event that causes this forward event.
        `data` - the event data returned by `Event.getData()`
      Since:
        3.0.6

  - ### Method Detail

    - #### getOrigin

          public Event getOrigin()

      Returns the original event.